id returned by POST /api/crawl. All three return { "ok": true } on success.
Stop
Resume
Delete
Related
- Start a job:
POST /api/crawl - Poll progress:
GET /api/crawl/:id - Service overview: Crawl
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Stop, resume, and delete running crawl jobs.
id returned by POST /api/crawl. All three return { "ok": true } on success.
POST https://v2-api.scrapegraphai.com/api/crawl/:id/stop
curl -X POST https://v2-api.scrapegraphai.com/api/crawl/79694e03-.../stop \
-H "SGAI-APIKEY: $SGAI_API_KEY"
POST https://v2-api.scrapegraphai.com/api/crawl/:id/resume
curl -X POST https://v2-api.scrapegraphai.com/api/crawl/79694e03-.../resume \
-H "SGAI-APIKEY: $SGAI_API_KEY"
DELETE https://v2-api.scrapegraphai.com/api/crawl/:id
curl -X DELETE https://v2-api.scrapegraphai.com/api/crawl/79694e03-... \
-H "SGAI-APIKEY: $SGAI_API_KEY"
POST /api/crawlGET /api/crawl/:idWas this page helpful?